For the complete documentation index, see llms.txt. This page is also available as Markdown.

DebtRatio

Perform various operations for Symitar parameters.

Symitar eDocs References: Coming soon.

Operations

getDebtRatio

post

Retrieve DebtRatio parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
DebtRatioTypeintegerRequired
Responses
200

Successful operation.

application/json
post/getDebtRatio
POST /nexum/627/2022.01/parameter/getDebtRatio HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 153

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DebtRatioType": 1,
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "DebtRatio": {
    "RecordChangeDate": "2010-05-08"
  },
  "MessageId": "getDebtRatio"
}

getDebtRatioSelectFields

post

Retrieve DebtRatio parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
DebtRatioTypeintegerOptional
Responses
200

Successful operation.

application/json
post/getDebtRatioSelectFields
POST /nexum/627/2022.01/parameter/getDebtRatioSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 244

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "parameter-reference"
    }
  },
  "DebtRatioType": 0,
  "SelectableFields": {
    "DebtRatioFields": {
      "Type": true,
      "PayUseCode": true,
      "PayFactor": true
    }
  }
}
200

Successful operation.

{
  "DebtRatio": {
    "FieldNo": [],
    "FieldUse": [],
    "PayFactor": "0.000",
    "PayUseCode": 1,
    "Type": 0
  },
  "MessageId": "getDebtRatioSelectFields"
}

getDebtRatioPagedList

post

Retrieve DebtRatio parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
Responses
200

Successful operation.

application/json
TokenstringOptional
post/getDebtRatioPagedList
POST /nexum/627/2022.01/parameter/getDebtRatioPagedList HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 238

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 5,
    "NumberOfRecordsToSkip": 0,
    "Token": "example-token"
  },
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "DebtRatio": [],
  "Token": null,
  "MessageId": "getDebtRatioPagedList"
}

getDebtRatioListSelectFields

post

Retrieve DebtRatio parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
Responses
200

Successful operation.

application/json
post/getDebtRatioListSelectFields
POST /nexum/627/2022.01/parameter/getDebtRatioListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 192

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "parameter-reference"
    }
  },
  "SelectableFields": {
    "IncludeAllDebtRatioFields": true
  }
}
200

Successful operation.

{
  "DebtRatioList": [],
  "MessageId": "getDebtRatioListSelectFields"
}

searchDebtRatioSelectFields

post

Search DebtRatio parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
Responses
200

Successful operation.

application/json
post/searchDebtRatioSelectFields
POST /nexum/627/2022.01/parameter/searchDebtRatioSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 230

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "SelectableFields": {
    "IncludeAllDebtRatioFields": true
  },
  "SearchFilter": {
    "Query": "example-query"
  },
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "DebtRatioList": [],
  "MessageId": "searchDebtRatioSelectFields"
}

getDebtRatioPagedListSelectFields

post

Retrieve DebtRatio parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
Responses
200

Successful operation.

application/json
TokenstringOptional
post/getDebtRatioPagedListSelectFields
POST /nexum/627/2022.01/parameter/getDebtRatioPagedListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 305

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "parameter-reference"
    }
  },
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 1,
    "NumberOfRecordsToSkip": 0
  },
  "SelectableFields": {
    "DebtRatioFields": {
      "Type": true,
      "PayUseCode": true,
      "PayFactor": true
    }
  }
}
200

Successful operation.

{
  "DebtRatio": [
    {
      "FieldNo": [],
      "FieldUse": [],
      "PayFactor": "0.000",
      "PayUseCode": 1,
      "Type": 0
    }
  ],
  "Token": "{paging-token}",
  "MessageId": "getDebtRatioPagedListSelectFields"
}

searchDebtRatioPagedSelectFields

post

Search DebtRatio parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
QuerystringOptional
Responses
200

Successful operation.

application/json
TokenstringOptional
post/searchDebtRatioPagedSelectFields
POST /nexum/627/2022.01/parameter/searchDebtRatioPagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 316

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "parameter-reference"
    }
  },
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 1,
    "NumberOfRecordsToSkip": 0
  },
  "Query": "",
  "SelectableFields": {
    "DebtRatioFields": {
      "Type": true,
      "PayUseCode": true,
      "PayFactor": true
    }
  }
}
200

Successful operation.

{
  "DebtRatio": [
    {
      "FieldNo": [],
      "FieldUse": [],
      "PayFactor": "0.000",
      "PayUseCode": 1,
      "Type": 0
    }
  ],
  "Token": "{paging-token}",
  "MessageId": "searchDebtRatioPagedSelectFields"
}

updateDebtRatioByID

post

Update DebtRatio parameter configuration. Parameter updates can change institution behavior and should be tested in a controlled environment before use.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
DebtRatioTypeintegerOptional
Responses
200

Successful operation.

application/json
post/updateDebtRatioByID
POST /nexum/627/2022.01/parameter/updateDebtRatioByID HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 221

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DebtRatioType": 1,
  "DebtRatioUpdatableFields": {
    "Type": 0,
    "Description": "NEXUM EXAMPLE"
  },
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "UpdateStatus": {
    "isAllFieldsUpdateSuccess": true,
    "FailedUpdateStatus": []
  },
  "MessageId": "updateDebtRatioByID"
}

Last updated

Was this helpful?